﻿using System.Windows;
using Telerik.Windows.Controls;

namespace WpfApplication1
{
    public partial class MainWindow : RadRibbonWindow
    {
        public MainWindow()
        {
            // StyleManager.ApplicationTheme = new Windows8Theme();
            InitializeComponent();
        }

        private void ribbon_SizeChanged(object sender, SizeChangedEventArgs e)
        {
            var ribbonView = (RadRibbonView)sender;
            var backstage = ribbonView.Backstage;

            var newWidth = e.NewSize.Width;
            backstage.Width = newWidth;
            RibbonUtilities.SetRibbonViewWidthProperty(backstage, newWidth);
        }
    }
}
